Bug 144015 - AisleRiot pileon doesn't notice if a stack starts done
Summary: AisleRiot pileon doesn't notice if a stack starts done
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-03 19:52 UTC by Horst H. von Brand
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 16:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Horst H. von Brand 2005-01-03 19:52:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
AisleRiot (sol) Pileon doesn't notice piles done on startup.

Version-Release number of selected component (if applicable):
gome-games-2.8.0-4

How reproducible:
Always

Steps to Reproduce:
1.Start sol, select Pileon, seed -92780009
2.
3.
    

Actual Results:  First pile is 4 3s, and should be considered "done"
(covered). It is not. Finishing the game doesn't "win", as there is a
"not done" pile.


Expected Results:  Pile should be considered done, game should be
winnable!

Additional info:

Comment 1 Horst H. von Brand 2005-01-03 19:53:39 UTC
Workaround is to move a card off the done pile, and move it back.

Comment 2 Matthew Miller 2006-07-10 20:58:00 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Horst H. von Brand 2006-07-11 14:24:17 UTC
Current sol doesn't seem to have a way to specify the seed, so I can't be sure
the problem is still there. It isn't a security problem, either.

Comment 4 Matthew Miller 2006-07-11 16:19:54 UTC
This should probably be moved upstream....

Comment 5 Matthew Miller 2006-07-11 16:57:47 UTC
I think I'm going to mark this "CANTFIX" given comment #3.


Note You need to log in before you can comment on or make changes to this bug.